Thank you for reporting this bug. We will make it our priority to review this report.
  1. #31
    Sencha - Architect Dev Team aconran's Avatar
    Join Date
    Mar 2007
    Posts
    9,369
    Vote Rating
    128
    aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold

      0  

    Default


    Quote Originally Posted by UltraDM View Post
    Yep, same here on OpenSuSE x64

    the next step is that on GNU/Linux it doesn't use the http_proxy env var which means I can't login
    too bad for me that before that I started it on a virtualized Win XP, logged in for trial period

    now I'll sit and wait and when the fix is available my trial will be expired already

    nice ...
    Continue using it in Windows XP for now. We will have a static build available for most distributions early next week at that point I can reset anyone's trial who was unable to use the product due to proxy/library incompatibility issues.
    Aaron Conran
    @aconran
    Sencha Architect Development Team

  2. #32
    Sencha User
    Join Date
    Jan 2009
    Posts
    5
    Vote Rating
    0
    iksik is on a distinguished road

      0  

    Default


    Hello

    I'm unable to test it, beacuse of this error:

    Apr 3 10:26:15 iksik kernel: [ 6815.293341] ExtDesigner.bin[9513]: segfault at 58 ip 06ca3314 sp bfad7ec0 error 4 in libQtGuiExt.so.4[6a53000+a41000

    libQt - 4.5.3
    ubuntu 9.10

    Segfaults occures while:

    - taking a screenshot
    - opening a project
    - saving a project

    2 of 3 are BASIC functions

  3. #33
    Sencha - Architect Dev Team aconran's Avatar
    Join Date
    Mar 2007
    Posts
    9,369
    Vote Rating
    128
    aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold

      0  

    Default


    Have you symlinked in your own versions of libQt? We are distributing 4.6.1 and using some features within 4.6.x.
    Aaron Conran
    @aconran
    Sencha Architect Development Team

  4. #34
    Sencha User
    Join Date
    Jan 2009
    Posts
    5
    Vote Rating
    0
    iksik is on a distinguished road

      0  

    Default


    extDesigner is available for sale - should I ( really ) do something on my own to install it?

  5. #35
    Sencha - Architect Dev Team aconran's Avatar
    Join Date
    Mar 2007
    Posts
    9,369
    Vote Rating
    128
    aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold

      0  

    Default


    No. You should not. I was asking a question as it seems you are using a different version of Qt than we are distributing.

    We will be shipping a static build early this week which will resolve many dependency issues on linux which some people have been running into on some distributions.
    Aaron Conran
    @aconran
    Sencha Architect Development Team

  6. #36
    Sencha User
    Join Date
    Jan 2009
    Posts
    5
    Vote Rating
    0
    iksik is on a distinguished road

      0  

    Default


    It will be greate, cause I want to buy this products as soon as it will work fine on linux.

  7. #37
    Ext User
    Join Date
    Apr 2010
    Posts
    1
    Vote Rating
    0
    czsergey is on a distinguished road

      0  

    Default Workaround

    Workaround


    export QTDIR=""
    export LD_LIBRARY_PATH=""
    export QT_PLUGIN_PATH=""
    export KDEDIRS=""
    export KDEDIR=""
    ./ExtDesigner

    or on one line:
    QTDIR="" LD_LIBRARY_PATH="" QT_PLUGIN_PATH="" KDEDIRS="" KDEDIR="" ./ExtDesigner

    works for me

  8. #38
    Sencha Premium Member
    Join Date
    Feb 2010
    Posts
    6
    Vote Rating
    0
    davide.s is on a distinguished road

      0  

    Default work !

    work !


    Quote Originally Posted by czsergey View Post
    export QTDIR=""
    export LD_LIBRARY_PATH=""
    export QT_PLUGIN_PATH=""
    export KDEDIRS=""
    export KDEDIR=""
    ./ExtDesigner

    or on one line:
    QTDIR="" LD_LIBRARY_PATH="" QT_PLUGIN_PATH="" KDEDIRS="" KDEDIR="" ./ExtDesigner

    works for me

    yes, Thanks work also for me
    in OpenSuse 11.2 32bit

  9. #39
    Sencha - Architect Dev Team aconran's Avatar
    Join Date
    Mar 2007
    Posts
    9,369
    Vote Rating
    128
    aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold aconran is a splendid one to behold

      0  

    Default


    We've encountered some issues where the static build with the included libs isn't behaving the same as when we've dynamically linked in the libs. We're working on this issue, just wanted to keep everyone updated.
    Aaron Conran
    @aconran
    Sencha Architect Development Team

  10. #40
    Sencha Premium Member
    Join Date
    Feb 2010
    Posts
    6
    Vote Rating
    0
    davide.s is on a distinguished road

      0  

    Default


    Thanks a lot, because there are still, however, problems during "save" or "save as" functions.
    ExtDesigner crash with "segmantation fault"
    thanks again for Your work.

Similar Threads

  1. Array remove and indexof incompatible with SAP EPCF
    By jemtevans in forum Ext 2.x: Help & Discussion
    Replies: 2
    Last Post: 11 Dec 2008, 2:19 PM
  2. Show Modal incompatible with flash banner on FireFox
    By puppet in forum Ext 2.x: Help & Discussion
    Replies: 1
    Last Post: 27 Sep 2008, 1:57 PM
  3. EPL 1.0 and GPL licenses are incompatible
    By sheesh-kebab in forum Community Discussion
    Replies: 18
    Last Post: 8 May 2008, 1:39 AM
  4. EditorGridPanel() and CheckboxSelectionModel() incompatible?
    By bcamp1973 in forum Ext 2.x: Help & Discussion
    Replies: 1
    Last Post: 10 Jan 2008, 9:04 PM
  5. BasicDialog incompatible with ylayout-inactive-content?
    By SteveEisner in forum Ext 1.x: Bugs
    Replies: 5
    Last Post: 6 Nov 2006, 3:10 PM

Thread Participants: 21